
import javax.swing.tree.DefaultMutableTreeNode;

import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;

public class XMLParser
{
	public void startParsingFeatures(String filename, SchemaContentStructure scc)
  	{
		XMLReader parser;
		ContentHandlerParserFeatures chp;
		try
		{
			parser = XMLReaderFactory.createXMLReader();
			chp = new ContentHandlerParserFeatures(filename, scc);
			parser.setContentHandler(chp);
			parser.parse(filename);
		}
		catch (Exception e)
		{
			System.out.println ("XMLReader exception: "+e.toString());
		}
	}
	
	public DefaultMutableTreeNode startParsingMediatedSchema(String filename)
  	{
		XMLReader parser;
		DefaultMutableTreeNode ret = null;
		ContentHandlerParserSchema chp;
		try
		{
			parser = XMLReaderFactory.createXMLReader();
			chp = new ContentHandlerParserSchema(filename);
			parser.setContentHandler(chp);
			parser.parse(filename);
			ret = ((ContentHandlerParserSchema) parser.getContentHandler()).root;
		}
		catch (Exception e)
		{
			System.out.println ("XMLReader exception: "+e.toString());
			e.printStackTrace();
		}
		return ret;
	}
}
